Package org.codehaus.janino

# Enum Parser.MethodDeclarationContext

java.lang.Object
java.lang.Enum<Parser.MethodDeclarationContext>
org.codehaus.janino.Parser.MethodDeclarationContext

All Implemented Interfaces:
  `Serializable`, `Comparable<Parser.MethodDeclarationContext>`, `java.lang.constant.Constable`

Enclosing class:
  `Parser`

public static enum Parser.MethodDeclarationContext extends Enum<Parser.MethodDeclarationContext>
The kinds of context where a method declaration can occur.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANNOTATION_TYPE_DECLARATION`
Annotation type method declaration.
`CLASS_DECLARATION`
Class method declaration.
`INTERFACE_DECLARATION`
Interface method declaration.

## Method Summary

Modifier and Type
Method
Description
`static Parser.MethodDeclarationContext`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Parser.MethodDeclarationContext[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLASS_DECLARATION

public static final Parser.MethodDeclarationContext CLASS_DECLARATION
Class method declaration.

### INTERFACE_DECLARATION

public static final Parser.MethodDeclarationContext INTERFACE_DECLARATION
Interface method declaration.

### ANNOTATION_TYPE_DECLARATION

public static final Parser.MethodDeclarationContext ANNOTATION_TYPE_DECLARATION
Annotation type method declaration.

## Method Details

### values

public static Parser.MethodDeclarationContext[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Parser.MethodDeclarationContext valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null